Subject: Offline Message from Brendan russ: I just got the SWAGTRON t6 and when I go o
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Tue, 14 Jun 2022 01:02:27 -0000

From: Brendan russ <[email-masked]>
Phone: 2039018057
Location: New Haven, United States
URL: https://swagtron.com/product/swagtron-t6-off-road-hoverboard-10-inch-heavy-duty/
Department: SwagTron

I just got the SWAGTRON t6 and when I go off road or even on a small incline the hover board cuts out and dumps forward causing me to carry it most times. I also am only getting about 1.5 miles every charge and their is not even 5 miles on it yet. Thanks

----
Zopim
https://www.zopim.com